Bug 11015 - RPM package wrong
RPM package wrong
Product: Red Hat Linux
Classification: Retired
Component: krb5 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-04-24 11:22 EDT by paul
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-16 18:04:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description paul 2000-04-24 11:22:14 EDT
All the RPM packages is wrongly created. You should never create a
directory under /usr. The library files should go under /usr/lib (mayby
here you can make /usr/lib/kerberos but not /usr/kerberos/lib.

The server and workstation all uses /bin /sbin /man under /usr/kerberos.
Use the right place under /usr/.

Have a look at: http://www.pathname.com/fhs/ to see where the files goes.

Ex. When mounting /usr on workstations the cvs (newest version) can't
locate libgssapi_krb5.so.2, because the ldconfig program dosn't look in
/usr/kerberos. Then on all workstation I have to change that. No good.

-- Bye

Mikkel Johnsen
Comment 1 Nalin Dahyabhai 2000-05-16 18:04:59 EDT
The /usr/kerberos directory is the standard location for Kerberos 5 on multiple
platforms.  In addition, the krb5-workstation package includes variants of rsh
and rlogin that exec() their counterparts in /usr/bin if they are unable to open
Kerberized connections, so changing the root to /usr is not currently feasible.

Note You need to log in before you can comment on or make changes to this bug.